Name:           sigen
Version:        0.0.2
Release:        0.20.20080923svn266%{?dist}
Summary:        An RPG/Strategy engine inspired by the Pokémon™ games

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.sourceforge.net/projects/sigen
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 266 http://sigen.svn.sourceforge.net/svnroot/sigen/trunk sigen-0.0.2
#  tar -c sigen-0.0.2 | bzip2 --best -c > sigen-0.0.2.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kdelibs4-devel >= 4.1.0
BuildRequires:  qt-devel >= 4.4.0
BuildRequires:  tetex-latex
BuildRequires:  desktop-file-utils

Requires:       qt >= 4.4.0

%description
The Sigma Game Engine is an RPG/Strategy game engine.
The following libraries and tools are provided:
Sigmod - library for loading, editing, and saving Sigmod files
Sigmodr - modding program for Sigmod files
Sigscript - library for scripts to use the data in a Sigmod
Sigbattle - library for the battle system

%package devel
Summary:        Files needed to develop programs which use the Sigma Game Engine
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdelibs4-devel >= 4.1.0
Requires:       qt-devel >= 4.4.0

%description devel
Development files used for creating apps based on the Sigma Game
Engine libraries and tools


%prep
%setup -q


%build
%{cmake_kde4}
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install
# Following is based off of KTIGCC's .spec file
# GNOME (shared-mime-info) MIME type registration
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/sigmodr.xml << EOF1
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-sigmod+xml">
    <sub-class-of type="application/xml" />
    <comment>Sigmod</comment>
    <glob pattern="*.[sS][mM][oO][dD]" />
  </mime-type>
</mime-info>
EOF1
# KDE (legacy) MIME type registration
mkdir -p %{buildroot}%{_datadir}/mimelnk/application
cat > %{buildroot}%{_datadir}/mimelnk/application/x-sigmod+xml.desktop << EOF2
[Desktop Entry]
Encoding=UTF-8
Type=MimeType
MimeType=application/x-sigmod+xml
Icon=application-x-sigmod+xml
Patterns=*.smod;*.SMOD;
Comment=Sigmod
[Property::X-KDE-text]
Type=bool
Value=true
EOF2
# Sigmodr menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/sigmodr.desktop << EOF3
[Desktop Entry]
Name=Sigmodr
Comment=Program to edit Sigmods
GenericName=Program to edit Sigmods
Encoding=UTF-8
Type=Application
Exec=%{_bindir}/sigmodr %U
Icon=sigmodr
Terminal=false
Categories=Qt;KDE;Game;
MimeType=application/x-sigmod+xml;
EOF3
desktop-file-install --delete-original       \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/sigmodr.desktop


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%{_bindir}/sigmodr
%{_libdir}/libsigmod.so.0
%{_libdir}/libsigmod.so.0.0.2
%{_libdir}/libsigscript.so.0
%{_libdir}/libsigscript.so.0.0.2
%{_libdir}/libsigbattle.so.0
%{_libdir}/libsigbattle.so.0.0.2
%{_datadir}/mime/packages/sigmodr.xml
%{_datadir}/mimelnk/application/x-sigmod+xml.desktop
%{_datadir}/applications/sigmodr.desktop
%{_kde4_appsdir}/sigmodr
%{_kde4_configdir}/sigmod.knsrc


%files devel
%defattr(-,root,root,-)
%{_libdir}/libsigmod.so
%{_libdir}/libsigscript.so
%{_libdir}/libsigbattle.so
%{_includedir}/%{name}


%changelog
* Tue Sep 23 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.20.20080923svn266
- Newer SVN

* Sat Sep 13 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.19.20080907svn262
- Newer SVN

* Sun Sep 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.18.20080907svn257
- Spec file fixes

* Sun Sep 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.17.20080907svn256
- Spec file fixes

* Sun Sep 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.16.20080907svn255
- Newer SVN

* Sun Sep 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.15.20080907svn254
- Renamed project

* Mon Aug 18 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.14.20080818svn240
- Newer SVN
- Fixed some unused linkings

* Tue Aug 05 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.13.20080805svn239
- Newer SVN

* Mon Aug 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.12.20080804svn236
- Newer SVN
- Fixes for Fedora packaging

* Mon Aug 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.11.20080804svn234
- New RPM doesn't automatically create the buildroot

* Sun Aug 03 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.10.20080804svn233
- Newer SVN

* Sat Aug 02 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.9.20080802svn232
- Newer SVN build
- Added the XMLGUI file
- Bumped KDE to 4.1

* Fri Jul 11 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.8.20080711svn227
- Updated the version

* Mon Jun 30 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.7.20080630svn221
- Build/install use of buildroot fixed
- Fixed up changelog
- Fixed version requirements on Qt

* Mon Jun 30 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.6.20080630svn220
- Rebuild for new SVN version
- Qt 4.4 needed

* Sun Jun 22 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.5.20080628svn216
- Fixed the versions in the changelog
- Minor spelling mistakes in descriptions/summaries

* Fri Jun 20 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.4.20080618svn214
- Using cmake now
- Fixed up the -devel package
- .0.0 libs not made with cmake

* Tue Jun 17 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.3.20080617svn210
- New SVN revision
- Fixes for release versioning
- clean section fixed

* Sun Jun 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-2
- New SVN revision
- Fixes for name change

* Sun Jun 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-1
- Rebuild for version 0.0.2

* Sat Jun 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-4
- Added libpokebattle
- Moved headers to be under pokegen directory

* Fri Jun 06 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-3
- Created devel subpackage

* Sun Jun 01 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-2
- No longer need the images stored anywhere

* Mon Mar 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-1
- Created
